---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libNativeCallTest.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _SS, symObjAddr: 0x0, symBinAddr: 0x35A0, symSize: 0x10 }
  - { offsetInCU: 0x83, offset: 0x83, size: 0x8, addend: 0x0, symName: _SS, symObjAddr: 0x0, symBinAddr: 0x35A0, symSize: 0x10 }
  - { offsetInCU: 0xA7, offset: 0xA7, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest_getFF, symObjAddr: 0x10, symBinAddr: 0x35B0, symSize: 0x10 }
  - { offsetInCU: 0xFE, offset: 0xFE, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1FF, symObjAddr: 0x20, symBinAddr: 0x35C0, symSize: 0x10 }
  - { offsetInCU: 0x171, offset: 0x171, size: 0x8, addend: 0x0, symName: _SDILDS, symObjAddr: 0x30, symBinAddr: 0x35D0, symSize: 0x40 }
  - { offsetInCU: 0x1B3, offset: 0x1B3, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest_getSDILDS, symObjAddr: 0x70, symBinAddr: 0x3610, symSize: 0x10 }
  - { offsetInCU: 0x25A, offset: 0x25A, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1SDILDS, symObjAddr: 0x80, symBinAddr: 0x3620, symSize: 0x40 }
  - { offsetInCU: 0x323, offset: 0x323, size: 0x8, addend: 0x0, symName: _F32SDILDS, symObjAddr: 0xC0, symBinAddr: 0x3660, symSize: 0x110 }
  - { offsetInCU: 0x479, offset: 0x479, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest_getF32SDILDS, symObjAddr: 0x1D0, symBinAddr: 0x3770, symSize: 0x10 }
  - { offsetInCU: 0x65C, offset: 0x65C, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1F32SDILDS, symObjAddr: 0x1E0, symBinAddr: 0x3780, symSize: 0x110 }
  - { offsetInCU: 0xA0D, offset: 0xA0D, size: 0x8, addend: 0x0, symName: _D32SDILDS, symObjAddr: 0x2F0, symBinAddr: 0x3890, symSize: 0x110 }
  - { offsetInCU: 0xB63, offset: 0xB63, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest_getD32SDILDS, symObjAddr: 0x400, symBinAddr: 0x39A0, symSize: 0x10 }
  - { offsetInCU: 0xD46, offset: 0xD46, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1D32SDILDS, symObjAddr: 0x410, symBinAddr: 0x39B0, symSize: 0x110 }
  - { offsetInCU: 0x10F7, offset: 0x10F7, size: 0x8, addend: 0x0, symName: _I32SDILDS, symObjAddr: 0x520, symBinAddr: 0x3AC0, symSize: 0xD0 }
  - { offsetInCU: 0x124D, offset: 0x124D, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest_getI32SDILDS, symObjAddr: 0x5F0, symBinAddr: 0x3B90, symSize: 0x10 }
  - { offsetInCU: 0x1430, offset: 0x1430, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1I32SDILDS, symObjAddr: 0x600, symBinAddr: 0x3BA0, symSize: 0xE0 }
  - { offsetInCU: 0x17E9, offset: 0x17E9, size: 0x8, addend: 0x0, symName: _L32SDILDS, symObjAddr: 0x6E0, symBinAddr: 0x3C80, symSize: 0xF0 }
  - { offsetInCU: 0x193F, offset: 0x193F, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest_getL32SDILDS, symObjAddr: 0x7D0, symBinAddr: 0x3D70, symSize: 0x10 }
  - { offsetInCU: 0x1B22, offset: 0x1B22, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1L32SDILDS, symObjAddr: 0x7E0, symBinAddr: 0x3D80, symSize: 0xF0 }
  - { offsetInCU: 0x1EDB, offset: 0x1EDB, size: 0x8, addend: 0x0, symName: _I32I, symObjAddr: 0x8D0, symBinAddr: 0x3E70, symSize: 0x90 }
  - { offsetInCU: 0x2006, offset: 0x2006, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest_getI32I, symObjAddr: 0x960, symBinAddr: 0x3F00, symSize: 0x10 }
  - { offsetInCU: 0x21B2, offset: 0x21B2, size: 0x8, addend: 0x0, symName: _Java_jdk_vm_ci_code_test_NativeCallTest__1I32I, symObjAddr: 0x970, symBinAddr: 0x3F10, symSize: 0x93 }
...
